if ($argument eq "")
    {
    print "No argument specified.\n";
    exit 1;
    }

if ($argument =~ /^[ 	]*-/)
    {
    print "Incorrect argument format: $argument";
    print "A leading \"-\" is not allowed.\n";
    exit 1;
    }
    
if (($argument =~ /^[a-zA-Z0-9_\.-]*$/) ||	# a valid text hostname or IP address in dotted quad format
    ($argument =~ /^0x[0-9]*$/))            # an IP address in 0x7f000001 format
    {
	my(@results) = qx(ping -c 5 $argument);
	print join("", @results);
    }
else
	{
    print "Incorrect argument format: $argument\nNot a valid hostname or IP address.";	
	}

exit 0;
