if (($argument =~ /\D/) || ($argument < 1) || (10 < $argument)) {
    print "Number of echo_responde packages must be a number from 1 to 10.\n";
    exit 1;
}
my $bcast0= qx(ifconfig eth0 | grep Bcast);
my $bcast1= qx(ifconfig eth1 | grep Bcast);
if ($bcast0 ne $bcast1) {
    print "Internal network not consistently configured.\n";
    exit 1;
}
chomp $bcast0;
my $bcast_ip = $bcast0;
$bcast_ip =~s/.*Bcast\:((\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})).*/$1/g;

my(@results) =  qx(ping -b $bcast_ip -c $argument | grep icmp_seq=0);
print join("", @results);

exit 0;
