#!/usr/bin/perl

my $flagdir = "/var/local/bootstat";
my $hostname = `hostname`;
my @flags = split /\n/,`ls -1 $flagdir | grep ACTIVATION-$hostname`;
my %translations = 	(
						"SKIPPED"	=> "Skipped",
						"UPGRADING"	=> "Installing",
						"DEAD"		=> "Timed Out",
						"STANDBY"	=> "Install Stand By",
						"TODO"		=> "Waiting for Installation",
						"FAILED"	=> "Failed",
						"ABORT"		=> "Abort",
						"COMPLETE"	=> "Complete"
					);

my $return =  "<activationinfo>";


foreach $flag(@flags)
{
	my @tokens = split /-/,$flag;
	my $node = $tokens[2];
	my $state = $tokens[3];
	$return = $return."<node name=\"$node\" state=\"$translations{$state}\"/>\n";	

}
$return = $return."</activationinfo>\n";
print $return;

