#!/usr/bin/perl

my $flagdir = "/var/local/bootstat";
my $hostname = `hostname`;
my @flags = split /\n/,`ls -1 $flagdir | grep DISTRIBUTION-$hostname`;
my %translations =	(
						"TODO"				=> "Waiting for Download",
						"BUSY"				=> "Downloading",
						"COMPLETE"			=> "Download Complete",
						"FAILED"			=> "Download Failed",
						"DEAD"				=> "Timed Out",
						"DISTRIBUTING"		=> "Download Complete"
					);


my $return =  "<distributioninfo>";


foreach $flag(@flags)
{
	my @tokens = split /-/,$flag;
	my $node = $tokens[2];
	my $state = $tokens[3];
	$return = $return."<node name=\"$node\" state=\"$translations{$state}\"/>\n";	

}
$return = $return."</distributioninfo>\n";
print $return;

